# FYI:
# http://trac.wildfiregames.com/wiki/BuildInstructions#Linux

%define alpha	22

Name:		0ad
Version:	0.0.%{alpha}
Release:	%mkrel 1
License:	GPLv2+ LGPLv2
Group:		Games/Strategy
Summary:	Cross-Platform RTS Game of Ancient Warfare
Url:		http://play0ad.com/
Source0:	http://releases.wildfiregames.com/%{name}-%{version}-alpha-unix-build.tar.xz
Source1:	%{name}.6
Patch0:		0ad-0.0.18-mga-system-valgrind.patch
#Patch0:		0ad-0.0.19-system-valgrind.patch
Requires:	%{name}-data
#----------------------------------------
BuildRequires: python
BuildRequires: cmake
BuildRequires: imake
BuildRequires: make
BuildRequires: mesa-devel
BuildRequires: valgrind-devel
BuildRequires: zlib1-devel
BuildRequires: %{_lib}sdl2.0-devel
BuildRequires: %{_lib}boost-devel
BuildRequires: %{_lib}curl-devel
BuildRequires: %{_lib}enet-devel
BuildRequires: %{_lib}gloox-devel
BuildRequires: %{_lib}icu-devel
BuildRequires: %{_lib}jpeg-devel
BuildRequires: %{_lib}mesaglu1-devel
BuildRequires: %{_lib}miniupnpc-devel
BuildRequires: %{_lib}nspr-devel
BuildRequires: %{_lib}ogg-devel
BuildRequires: %{_lib}openal-devel
BuildRequires: %{_lib}png-devel
BuildRequires: %{_lib}tiff-devel
BuildRequires: %{_lib}vorbis0-devel
BuildRequires: %{_lib}wxgtku2.8-devel
BuildRequires: %{_lib}x11-devel
BuildRequires: %{_lib}xcursor-devel
BuildRequires: %{_lib}xml2-devel
BuildRequires: %{_lib}xt-devel
BuildRequires: %{_lib}mozjs38-devel
#----------------------------------------

%description
0 A.D. (pronounced "zero ey-dee") is a free, open-source, cross-platform
real-time strategy (RTS) game of ancient warfare. In short, it is a
historically-based war/economy game that allows players to relive or rewrite
the history of Western civilizations, focusing on the years between 500 B.C.
and 500 A.D. The project is highly ambitious, involving state-of-the-art 3D
graphics, detailed artwork, sound, and a flexible and powerful custom-built
game engine.

The game has been in development by Wildfire Games (WFG), a group of volunteer,
hobbyist game developers, since 2001.

%prep
%setup -q -n %{name}-0.0.%{alpha}-alpha
%apply_patches
build/workspaces/clean-workspaces.sh

%build
%setup_compile_flags
build/workspaces/update-workspaces.sh \
    --bindir=%{_gamesbindir} \
    --datadir=%{_gamesdatadir}/%{name} \
    --libdir=%{_libdir}/%{name}

%make config=release verbose=1 -C build/workspaces/gcc


%install
rm -rf %buildroot
install -d %{buildroot}%{_gamesbindir}
install -m755 binaries/system/pyrogenesis %{buildroot}%{_gamesbindir}/pyrogenesis
install -m755 build/resources/0ad.sh      %{buildroot}%{_gamesbindir}/%{name}

install -d %{buildroot}%{_libdir}/%{name}
install -m755 binaries/system/*.so %{buildroot}%{_libdir}/%{name}
rm -f %{buildroot}%{_libdir}/%{name}/libmozjs31-ps-debug.so

install -D -m644 build/resources/%{name}.desktop %{buildroot}%{_datadir}/applications/%{name}.desktop
install -D -m644 build/resources/%{name}.appdata.xml %{buildroot}%{_datadir}/appdata/%{name}.appdata.xml
install -D -m644 build/resources/%{name}.png %{buildroot}%{_iconsdir}/hicolor/128x128/apps/%{name}.png

install -d %{buildroot}%{_gamesdatadir}/%{name}
cp -a binaries/data/* %{buildroot}%{_gamesdatadir}/%{name}

install -D -m644 %{_sourcedir}/%{name}.6 %{buildroot}%{_mandir}/man6/%{name}.6
ln -sf %{name}.6 %{buildroot}%{_mandir}/man6/pyrogenesis.6


%files
%doc README.txt LICENSE.txt
%{_gamesbindir}/%{name}
%{_gamesbindir}/pyrogenesis
%{_gamesdatadir}/%{name}/
%{_libdir}/%{name}/
%{_datadir}/appdata/%{name}.appdata.xml
%{_datadir}/applications/%{name}.desktop
%{_iconsdir}/hicolor/128x128/apps/%{name}.png
%{_mandir}/man6/*.6*


%changelog
* Fri May 25 2018 adrianomorselli <adrianomorselli> 0.0.22-1uplos2018
- update with libmozjs38
